'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.disableSelectStyleReset = exports.disableSelectStyle = exports.thumbVerticalStyleDefault = exports.thumbHorizontalStyleDefault = exports.trackVerticalStyleDefault = exports.trackHorizontalStyleDefault = exports.viewStyleUniversalInitial = exports.viewStyleAutoHeight = exports.viewStyleMobile = exports.viewStyleDefault = exports.containerStyleAutoHeight = exports.containerStyleDefault = undefined;

var _getScrollbarWidth = require('../utils/getScrollbarWidth');

var containerStyleDefault = exports.containerStyleDefault = {
    position: 'relative',
    overflow: 'hidden',
    width: '100%',
    height: '100%'
};

// Overrides containerStyleDefault properties
var containerStyleAutoHeight = exports.containerStyleAutoHeight = {
    height: 'auto'
};

var viewStyleDefault = exports.viewStyleDefault = {
    position: 'absolute',
    top: 0,
    left: 0,
    right: 0,
    bottom: 0,
    overflow: 'scroll',
    WebkitOverflowScrolling: 'touch'
};

var viewStyleMobile = exports.viewStyleMobile = {
    position: 'absolute',
    top: 0,
    left: 0,
    right: 0,
    bottom: 0,
    paddingRight: _getScrollbarWidth.MOBILE_SCROLLBAR_WIDTH + 'px',
    paddingBottom: _getScrollbarWidth.MOBILE_SCROLLBAR_WIDTH + 'px',
    overflow: 'scroll',
    WebkitOverflowScrolling: 'touch'
};

// Overrides viewStyleDefault properties
var viewStyleAutoHeight = exports.viewStyleAutoHeight = {
    position: 'relative',
    top: undefined,
    left: undefined,
    right: undefined,
    bottom: undefined
};

var viewStyleUniversalInitial = exports.viewStyleUniversalInitial = {
    overflow: 'hidden',
    marginRight: 0,
    marginBottom: 0
};

var trackHorizontalStyleDefault = exports.trackHorizontalStyleDefault = {
    position: 'absolute',
    height: 6
};

var trackVerticalStyleDefault = exports.trackVerticalStyleDefault = {
    position: 'absolute',
    width: 6
};

var thumbHorizontalStyleDefault = exports.thumbHorizontalStyleDefault = {
    position: 'relative',
    display: 'block',
    height: '100%'
};

var thumbVerticalStyleDefault = exports.thumbVerticalStyleDefault = {
    position: 'relative',
    display: 'block',
    width: '100%'
};

var disableSelectStyle = exports.disableSelectStyle = {
    userSelect: 'none'
};

var disableSelectStyleReset = exports.disableSelectStyleReset = {
    userSelect: ''
};