'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.isForcedMobile = exports.MOBILE_SCROLLBAR_WIDTH = undefined;

var _domCss = require('dom-css');

var _domCss2 = _interopRequireDefault(_domCss);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var scrollbarWidth = false;

var MOBILE_SCROLLBAR_WIDTH = exports.MOBILE_SCROLLBAR_WIDTH = 12;

var getScrollbarWidth = function getScrollbarWidth(forceMobile) {
    if (scrollbarWidth !== false) return scrollbarWidth || (forceMobile ? MOBILE_SCROLLBAR_WIDTH : 0);
    /* istanbul ignore else */
    if (typeof document !== 'undefined') {
        var div = document.createElement('div');
        (0, _domCss2["default"])(div, {
            width: 100,
            height: 100,
            position: 'absolute',
            top: -9999,
            overflow: 'scroll',
            MsOverflowStyle: 'scrollbar'
        });
        document.body.appendChild(div);
        scrollbarWidth = div.offsetWidth - div.clientWidth;
        document.body.removeChild(div);
    } else {
        scrollbarWidth = 0;
    }

    return scrollbarWidth || (forceMobile ? MOBILE_SCROLLBAR_WIDTH : 0);
};

var isForcedMobile = exports.isForcedMobile = function isForcedMobile(forceMobile) {
    return forceMobile && getScrollbarWidth();
};

exports["default"] = getScrollbarWidth;